<?php
/** 
*
* @package Move to Trash MOD
* @author Kamahl http://phpbb3hacks.com
* @version 2.0.0
* @copyright (c) 2012 Kamahl http://phpbb3hacks.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);

$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'Move to Trash MOD';
$version_config_name = 'move_to_trash_version';

$versions = array(
	'2.0.0'	=> array(
		'config_add' => array(
			array('trash_forum', '2'),
		),
		
		'cache_purge' => array(
			array(),
			array('template'),
		),
	),
	'2.0.3'	=> array(
		'permission_add' => array('m_trash','f_user_trash'),

		'cache_purge' => array(
			array(),
			array('template'),
		),
	),
	'2.0.5'	=> array(
		'cache_purge' => array(
			array(),
			array('template'),
		),
	),
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>